Subject: bug#46422: 'pr' screws up tabstops in multicolumn outpt?

From: Erik Auerswald <[email-masked]>
Date: Thu, 11 Feb 2021 13:00:27 +0100

Hi,

On Wed, Feb 10, 2021 at 01:42:29PM +0100, Leonard Janis Robert König wrote:
> I'm sorry if I this is not a bug but to be expected, but I thnk pr
> doesn't get the alignment of tabs in multicolumn output right.
> [...]
> This seems *kind* of related to multi-column merged output, as was
> discussed some years ago here:
> https://lists.gnu.org/archive/html/bug-coreutils/2007-03/msg00121.html

This thread contains the bug-introducing patch in message
https://lists.gnu.org/archive/html/bug-coreutils/2007-03/msg00160.html

This is commit 553d347d3e08e00ee4f9df520b37c964c3f26e28.

That commit removed the 'assume -e' part of the POSIX description of
the -COLUMN option from GNU pr.

Reverting this patch (i.e., adding the one deleted line back to pr.c)
fixes *this* bug, but then re-introduces the bug reported in 2007, i.e.,
sub-test 'merge-w-tabs' of test 'pr-tests.pl' fails.

Thanks,
Erik
-- 
If it ain't broke, don't fix it.